// Stand: 07.11.2010

import java.awt.event.*;
import javax.swing.*;

import java.awt.*;

import java.awt.BorderLayout;

// Test für einen Timer (Animator) mit JLabel

public class Timer2 extends JFrame implements ActionListener {

	Timer myTimer;  // Timer
  long summe = 0;
  JLabel label;



   // Konstruktor
  public Timer2 () {
    setSize(400, 300);  // Breite Höhe
    setTitle("Timertest2");  // Titel
    setLocation(300,100);
    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    setGUI();
    startLoading();  // init und start des Timers
  }


  private void setGUI() {
    System.out.println(summe);
    label = new JLabel("Label");
    label.setFont( new Font("Arial", Font.BOLD,48));
    myTimer = null;  // Null setzen
    label.setText("jLabel1");
    this.getContentPane().add(label, BorderLayout.NORTH);
  }



     // init und Start des Timers animator
    public void startLoading() {
         // Sicherheitsbafrage
        if(myTimer == null) {
          myTimer = new Timer(500, this); // 500 ms
          myTimer.start();  // starten
        }
    } // startLoading


      // Beendet den Timer und das gesamte Progamm !
    public void stopLoading() {
        // Sicherheitsabfrage
      if(myTimer != null) {
	      myTimer.stop();  //
 	      myTimer = null;  // Anfangszustand
        System.exit(0);  // Beenden
    	}
    }  // stopLoading



public void actionPerformed(ActionEvent e) {
    summe += 1;
    label.setText( Long.toString(summe) );
    System.out.println(summe);
    if (summe>15) {
      stopLoading();
    }
	}  // actionperformed



  public static void main(String[] args) {
    Timer2 timer;
    timer =  new Timer2();
    timer.setVisible(true);
  }  // main

}  // Timer2

